aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-08-29 15:50:14 +0200
committerNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-08-29 15:56:20 +0200
commit999503c612c96368a6d69b4816483aa14ef20b40 (patch)
tree4dcb9a0db4839eda13a6e92ea7c1eee9becc456d
parente75a6297da9337db95e94c4eb1cebc1e72fb9d41 (diff)
jenkins.sh: don't build twice
Instead of building the same .c files twice, rather verify that the 'make regen' target produces identical .c files as are checked in. Change-Id: I18e7677d8596f61b883e9db57b4bdd2a5c154ec3
-rwxr-xr-xcontrib/jenkins.sh20
1 files changed, 11 insertions, 9 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index c24bec2..a9a9bbb 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -55,19 +55,21 @@ build_dep asn1c aper-prefix
marker osmo-iuh
cd "$base"
-# Build using the checked-in asn1 code
-autoreconf --install --force
-./configure
-$MAKE $PARALLEL_MAKE
-LD_LIBRARY_PATH="$inst/lib" $MAKE check
-# distcheck is broken
-#LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE distcheck
-make clean
-# Build with regenerated asn1 code
autoreconf --install --force
./configure
+
+# Verify that checked-in asn1 code is identical to regenerated asn1 code
PATH="$inst/bin:$PATH" $MAKE $PARALLEL_MAKE -C src regen
+if ! git diff-files --quiet --ignore-submodules -- ; then
+ echo "ERROR: 'make -C src regen' does not match committed asn1 code"
+ echo
+ git diff
+ echo
+ echo "ERROR: 'make -C src regen' does not match committed asn1 code"
+ exit 1
+fi
+
$MAKE $PARALLEL_MAKE
LD_LIBRARY_PATH="$inst/lib" $MAKE check
# distcheck is broken